LibreOffice LibreOffice 25.8 SDK API Reference

Variables
com::sun::star::accessibility::AccessibleTableModelChangeType Constant Group Reference

Type of a change made to a table model. More...

## Variables
const short | UPDATE = 3
| Some of the table data has changed. More...
const short | ROWS_INSERTED = 4
| One or more rows have been inserted. More...
const short | COLUMNS_INSERTED = 5
| One or more columns have been inserted. More...
const short | ROWS_REMOVED = 6
| One or more rows have been removed. More...
const short | COLUMNS_REMOVED = 7
| One or more columns have been removed. More...

## Detailed Description

Type of a change made to a table model.

    <p>The value of this constants group are used by the
    AccessibleTableModelChange structure to specify the
    type of change that has been made to a table model.</p>

    <p>Four of the constants,
    AccessibleTableModelChangeType::ROWS_INSERTED,
    AccessibleTableModelChangeType::COLUMNS_INSERTED,
    AccessibleTableModelChangeType::ROWS_REMOVED and
    AccessibleTableModelChangeType::COLUMNS_REMOVED describe
    changes to the table's geometry.  One or more rows or columns have
    been inserted or removed.  In contrast, the remaining constant
    AccessibleTabelModelChangeType::UPDATE specifies a
    change of the table's content.</p>

Since
  OOo 1.1.2

## Variable Documentation

## ◆ COLUMNS_INSERTED

const short COLUMNS_INSERTED = 5

One or more columns have been inserted.

Use the fields of the AccessibleTableModelChange structure to determine the indices of the columns that have been inserted. Row indices should be set to -1.

Since
  LibreOffice 7.4

## ◆ COLUMNS_REMOVED

const short COLUMNS_REMOVED = 7

One or more columns have been removed.

Use the fields of the AccessibleTableModelChange structure to determine the indices of the columns that have been removed. Row indices should be set to -1.

Since
  LibreOffice 7.4

## ◆ ROWS_INSERTED

const short ROWS_INSERTED = 4

One or more rows have been inserted.

Use the fields of the AccessibleTableModelChange structure to determine the indices of the rows that have been inserted. Column indices should be set to -1.

Since
  LibreOffice 7.4

## ◆ ROWS_REMOVED

const short ROWS_REMOVED = 6

One or more rows have been removed.

Use the fields of the AccessibleTableModelChange structure to determine the indices of the rows that have been removed. Column indices should be set to -1.

Since
  LibreOffice 7.4

## ◆ UPDATE

const short UPDATE = 3

Some of the table data has changed.

The number of rows and columns remains unchanged. Only (some of) the content of the cells in the range that is specified by the fields of the AccessibleTableModelChange structure have been changed.